--
--
--
--    filename:	dbstruktur-aggregatfunktionen.sql
--
--    version:	1.3
--
--    Definition des Datenbankmodells 'Virtuelles Fahrzeug' - vf
--    > Aggregatfunktionen <
--
--
--
-- ----------------------------------------------------------------------------------------
--
--
--    Copyright (C) 2007-2011  Michael Bellair
--
--    This program is free software: you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation, either version 3 of the License, or
--    (at your option) any later version.
--
--    This program is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License
--    along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
--    Michael Bellair
--    Sportplatzstrasse 11
--    01259 Dresden
--
--    E-Mail:	bellair@freenet.de
--    homepage:	http://vf.michaelbellair.de/index.html
--
--
-- ----------------------------------------------------------------------------------------
--



-- ---------------------------------------------------------------------------------------
-- ---------------------------------------------------------------------------------------
-- ---------------------------------------------------------------------------------------
--							----------------------------------
-- >intern< als Sonderfall am Anfang definieren		----------------------------------
--							----------------------------------
-- ---------------------------------------------------------------------------------------
-- ---------------------------------------------------------------------------------------
-- ---------------------------------------------------------------------------------------


-- ---------------------------------------------------------------------------------------
-- ---------------------------------------------------------------------------------------
--					--------------------------------------------------
--	intern.aggregat__zk(...)	--------------------------------------------------
--					--------------------------------------------------
-- ---------------------------------------------------------------------------------------
-- ---------------------------------------------------------------------------------------
CREATE AGGREGATE intern.aggregat__zk (
    sfunc = intern.verbindezk,
    basetype = varchar,
    stype = varchar,
    initcond = ''
);
SELECT intern.nimm__TLKommentar( 'AGGREGATE intern.aggregat__zk( varchar )'
, 'Diese Aggregatfunktion verbindet smtliche Teilzeichenketten zu einer Zeichenkette.'
);
